CVE-2004-0184

NameCVE-2004-0184
DescriptionInteger underflow in the isakmp_id_print for TCPDUMP 3.8.1 and earlier allows remote attackers to cause a denial of service (crash) via an ISAKMP packet with an Identification payload with a length that becomes less than 8 during byte order conversion, which causes an out-of-bounds read, as demonstrated by the Striker ISAKMP Protocol Test Suite.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-478

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tcpdump (PTS)buster4.9.3-1~deb10u2fixed
buster (security)4.9.3-1~deb10u1fixed
bullseye4.99.0-2+deb11u1fixed
bookworm4.99.3-1fixed
sid, trixie4.99.4-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tcpdumpsourcewoody3.6.2-2.8DSA-478
tcpdumpsource(unstable)3.7.2-4

Search for package or bug name: Reporting problems